/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rszvl_InitAttributes (ViSession vi);
ViStatus rszvl_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rszvl_CheckStatus (ViSession vi);
ViStatus rszvl_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 rszvl_StringIndex(ViString array[], ViChar buff[]); 
ViStatus rszvl_readBinaryDataBlock (ViSession instrSession,
                                  /*@out@*/ViChar **outputBuffer, /*@out@*/ViUInt32 *byteCount);
ViBoolean rszvl_invalidViInt32Range (ViSession instrSession, ViInt32 val, ViInt32 min, ViInt32 max);
ViBoolean rszvl_invalidViUInt32Range (ViSession instrSession, ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViBoolean rszvl_invalidViReal64Range (ViSession instrSession, ViReal64 val, ViReal64 min, ViReal64 max);
ViBoolean rszvl_invalidViBooleanRange (ViSession instrSession, ViBoolean val);
//ViStatus rszvl_ReadDataUnknownLength(ViSession instrSession, /*@out@*/ViChar **outBuffer, /*@out@*/ViUInt32 *count);
ViStatus rszvl_ParseCatalog(ViChar *buffer, ViInt32 size, ViChar *catalogList, ViInt32 *nbValues);
void rszvl_SWAP_32(unsigned char *data, long points);  
ViStatus rszvl_dataReadTrace (ViSession instrSession,
                                 ViString cmd, 
                                 ViInt32 arrayLength, 
                                 /*@out@*/ViReal64 _VI_FAR traceData[],
                                 ViPInt32 noofPoints);
ViStatus rszvl_dataReadTraceOnly (ViSession instrSession,
                                 ViUInt32 arrayLength, 
                                 /*@out@*/ViReal64 _VI_FAR traceData[],
                                 ViPInt32 noofPoints);
ViStatus _VI_FUNC rszvl_dataReadTraceIQ (ViSession   instrSession,
                                            ViInt32     bufferSize,
                                            ViPInt32    noofPoints,
                                            /*@out@*/ViReal64 _VI_FAR realPartsI[],
                                            /*@out@*/ViReal64 _VI_FAR imaginaryPartsQ[]);                                 
ViStatus rszvl_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rszvl_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rszvl_CheckBeforeRead (ViSession instrSession, ViUInt32 maxTime);
ViStatus rszvl_traceCommandSelect (ViSession instrSession, ViInt32 channel, 
                                   ViString traceName, ViChar buffer[],
                                   ViInt32 *offset);
